Package org.eclipse.emf.cdo.transfer

## Class CDOTransfer.TransferTypeChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.emf.cdo.transfer.CDOTransfer.MappingEvent
      - - org.eclipse.emf.cdo.transfer.CDOTransfer.TransferTypeChangedEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `org.eclipse.net4j.util.event.IEvent`
  Enclosing class:
    CDOTransfer

      public static class CDOTransfer.TransferTypeChangedEvent
      extends CDOTransfer.MappingEvent

  A `mapping event` fired from a `transfer` when the `transfer type` of a mapping has changed.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOTransferType` | `getNewType()` |
    `CDOTransferType` | `getOldType()` |
    `boolean` | `hasTreeImpact()` |

    - ### Methods inherited from class org.eclipse.emf.cdo.transfer.CDOTransfer.MappingEvent

      `getMapping`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName, getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### hasTreeImpact

          public boolean hasTreeImpact()

      Specified by:
        `hasTreeImpact` in class `CDOTransfer.MappingEvent`

    - #### getOldType

          public CDOTransferType getOldType()

    - #### getNewType

          public CDOTransferType getNewType()